.. _policy: ../../../../vim/profile/ApplyProfile.rst#policy

.. _property: ../../../../vim/profile/ApplyProfile.rst#property

.. _vSphere API 4.0: ../../../../vim/version.rst#vimversionversion5

.. _vim.profile.ApplyProfile: ../../../../vim/profile/ApplyProfile.rst

.. _NetworkProfileDnsConfigProfile: ../../../../vim/profile/host/NetworkProfile/DnsConfigProfile.rst


vim.profile.host.NetworkProfile.DnsConfigProfile
================================================
  The `NetworkProfileDnsConfigProfile`_ data object represents DNS configuration for the host. Use the `policy`_ list for access to configuration data for the DNS profile. Use the `property`_ list for access to subprofiles, if any.
:extends: vim.profile.ApplyProfile_
:since: `vSphere API 4.0`_

Attributes:
